[Prev: RCFILE] | [Resources][TOC] | [Next: REFSBEGIN]

# RECONVERT

- Syntax
- Description
- Default Setting
- Resource Variables
- Examples
- Version
- See Also

## Syntax

Envariable

  `M2H_RECONVERT=`[ `0` | `1` ]

Element

  N/A

Command-line Option

  `-reconvert`
  `-noreconvert`

## Description

When RECONVERT is active during an add operation, if a message currently exists in the archive, it will be reconverted. This is basically the same ad deleting a message and re-adding it, with the exception that the message number will be preserved.

## Default Setting

Off.

## Resource Variables

N/A

## Examples

Generally, RECONVERT is used to selectively re-process individual messages:

    prompt> mhonarc -add -reconvert -outdir /path/to/archive < mesg.822

However, RECONVERT can be used to "rebuild" an archive where message numbers are preserved:

    prompt> mhonarc -add -reconvert -outdir /path/to/archive folder

(assuming that folder contains all the original raw messages).

The RECONVERT method is less efficient than the following:

    prompt> rm -r /path/to/archive
    prompt> mkdir /path/to/archive
    prompt> mhonarc -outdir /path/to/archive folder

But, if folder has had messages deleted from it before the rebuild (for example, to remove spam or objectionable messages), some messages may get assigned different message numbers from the pre-rebuild archive. This can be a problem if people maintain bookmarks to individual messages.

## Version

2.6.0

## See Also

ADD

[Prev: RCFILE] | [Resources][TOC] | [Next: REFSBEGIN]